use routes::member::migrate::MigrationStore;
use sqlx::{Pool, Postgres};
use std::sync::Arc;
use tokio::sync::Mutex;

pub mod auth;
pub mod database;
pub mod model;
pub mod routes;
pub mod util;

pub use util::error::Error;

#[derive(Clone)]
pub struct AppState {
    pub pool: Pool<Postgres>,
    pub migration_store: Arc<Mutex<MigrationStore>>,
}
